## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         recipe-scrapers
%global         forgeurl        https://github.com/hhursev/%{srcname}
Version:        15.2.1
%global         tag             v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Package for scraping recipe data

License:        MIT
URL:            %{forgeurl}
# Test data does not have license information, so
# remove it
Source:         %{srcname}-%{version}-clean.tar.gz
# Script to download source files and rmeove test data
Source:         prepare.sh

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

BuildArch: noarch

%global _description %{expand:
A simple scraping tool for recipe webpages.
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files recipe_scrapers -L

%check
%pyproject_check_import
# Tests that do not use test data
%pytest tests/library/test_exceptions.py
%pytest tests/library/test_grouping_utils.py
%pytest tests/library/test_plugin_htmltagstripper.py
%pytest tests/library/test_readme.py
%pytest tests/library/test_utils.py

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%doc docs/
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Sun Oct 27 2024 John Doe <packager@example.com> - 15.2.1-1
- Uncommitted changes
## END: Generated by rpmautospec
